Subject: bug#64834: 28.2; Auctex fails to load properly

From: Roger Lipsett <[email-masked]>
Date: Tue, 25 Jul 2023 08:01:08 -0400

Tassilo,

You are correct; that was not the cause of the problem; I wrote you all too
early. In fact, after lots of experimentation, it appears that if I try to
load-package auctex in a standard emacs server (that is, after loading my
init.el file), things fail as described above, while if I load it in an
emacs -q session, everything works properly. I can definitely reproduce
this behavior. So my environment is now where I want it to be. But if you
want more information (such as my init files), I'm happy to provide it. I'm
also now using 29.1 rc1 to fix the SVG bug.

Thanks,
Roger

On Tue, Jul 25, 2023 at 3:34 AM Tassilo Horn <[email-masked]> wrote:

> Roger Lipsett <[email-masked]> writes:
>
> > So first, apologies for being a moron.
>
> :-)
>
> > I had an old version of auctex in an Aquamacs directory that was
> > apparently being used instead, and I had migrated off of Aquamacs and
> > onto Emacs recently as well. I've removed all files that I can find
> > referring to Aquamacs from my box. So now that appears to work.
>
> That's still strange.  M-x list-load-path-shadows RET is meant to
> uncover exactly this issue.
>
> > However (and this is a separate problem, but I'd appreciate advice)
> > when I start an emacs server, I get the message "Invalid image type
> > 'svg'"; the server crashes but I'm still left with an editable file in
> > the buffer. This happens with emacs -q as well.
>
> As Eli said, it appears your emacs has no SVG image support.  You can
> check with M-: (image-type-available-p 'svg) RET.  Of course, it would
> be interesting to know why emacs wants to display some SVG.  Does M-x
> toggle-debug-on-error RET before staring the server reveal who wants to
> show the SVG?
>
> Bye,
> Tassilo
>